Kepler - Bug #4324

ptll/module-info/revision.txt not being updated
08/20/2009 12:02 PM - Christopher Brooks

Status: Resolved Start date: 08/20/2009
Priority: Normal Due date:

Assignee: Sean Riddle % Done: 0%
Category: build system Estimated time: 0.00 hour
Target version: 2.2.0 Spent time: 0.00 hour
Bugzilla-ld: 4324

Description

The bug is that ptll/module-info/revision.txt has not been updated since
August 3. The problem is that the Kepler tree and the Ptolemy tree are
diverging. The fix is to fix the script that is supposed to update

this file.

The enhancement is that if this file is not updated, then email should
be sent to, probably to David, Chad and .

On 8/17, | wrote:
Hi David,
It looks like ptll/module-info/revision.ixt was updated once since

7/23:

bash-3.2$ svn log ptll/module-info/revision.ixt

r20164 | welker | 2009-08-03 17:01:43 -0700 (Mon, 03 Aug 2009) | 1 line

[build-system] Checking in changes to ptll...

r20102 | berkley | 2009-07-23 13:48:38 -0700 (Thu, 23 Jul 2009) | 1 line

reverting to the change before the modules directory got nuked.

r20043 | welker | 2009-07-21 00:02:45 -0700 (Tue, 21 Jul 2009) | 1 line

Checking in changes to ptll...

r20026 | welker | 2009-07-18 00:02:40 -0700 (Sat, 18 Jul 2009) | 1 line

Checking in changes to ptll...

The reason this is an issues is that it means that Kepler is using
an older version of ptll, which will make merging more difficult.

I'm not sure how the update of revision.txt is handled automatically.
Could you include a README.txt in that directory that describes the
setup?

One solution would be to have the process that is supposed to increment
the revision send email if it decides not to increment the revision.

_Christopher
David Welker wrote:
Interesting. | will look into it.

| don't think it is related to the modules directory. Probably the
nightly process has been shut down.
| am glad you noticed!

David

On Aug 3, 2009, at 4:47 PM, Christopher Brooks wrote:

03/13/2024

Hi David,
It looks like trunk/modules/ptll/module-info has not been updated since
the modules directory was accidentally removed.

bash-3.2$ svn log module-info

r20102 | berkley | 2009-07-23 13:48:38 -0700 (Thu, 23 Jul 2009) | 1 line

reverting to the change before the modules directory got nuked.

r20054 | berkley | 2009-07-21 13:26:35 -0700 (Tue, 21 Jul 2009) | 1 line

added the .classpath.default file to the installer

r20043 | welker | 2009-07-21 00:02:45 -0700 (Tue, 21 Jul 2009) | 1 line

Checking in changes to ptll...

r20026 | welker | 2009-07-18 00:02:40 -0700 (Sat, 18 Jul 2009) | 1 line

Checking in changes to ptll...

Is there are problem with ptll that is preventing Kepler from using
the stable (yesterday's) version of ptll?

Below is the last update message | received, which corresponds to your
last auto update.

Thanks,

_Christopher

To: kepler-cvs@kepler-project.org
From: welker@ecoinformatics.org

Message-1d: <20090721070248.214EAE34756@ceres.ecoinformatics.org>

Date: Tue, 21 Jul 2009 00:02:47 -0700 (PDT)
X-ASG-Orig-Subj: [kepler-code] r20043 - trunk/modules/ptll/module-info
Subject: [kepler-code] r20043 - trunk/modules/ptll/module-info

Author: welker
Date: 2009-07-21 00:02:45 -0700 (Tue, 21 Jul 2009)
New Revision: 20043

Modified:
trunk/modules/ptll/module-info/revision.txt
Log:

Checking in changes to ptll...

Modified: trunk/modules/ptll/module-info/revision.txt

--- trunk/modules/ptll/module-info/revision.txt  2009-07-21
03:11:57 UTC (rev 20042)
+++ trunk/modules/ptll/module-info/revision.txt  2009-07-21
07:02:45 UTC (rev 20043)

@-1+1@

-55097

+55143

Christopher Brooks (cxh at eecs berkeley edu) University of California
CHESS Executive Director US Mail: 337 Cory Hall
Programmer/Analyst CHESS/Ptolemy/Trust Berkeley, CA 94720-1774
ph: 510.643.9841 fax:510.642.2718 (Office: 545Q Cory)

home: (F-Tu) 707.665.0131 (W-F) 510.655.5480

Related issues:
Blocked by Kepler - Bug #5064: Kepler 2.1 Tracking Bug New 06/30/2010

History

#1 - 08/26/2009 02:52 PM - Chad Berkley

The revision.txt file needs to be updated each night if the ptll build succeeds. | was under the impression that this was running as a cron job on a
server. This is def. something that should be automated not done manually. If the revision.txt file gets too out of date, forking will ensue between ptll
and kepler.

#2 - 09/15/2009 12:28 PM - Chad Berkley

| created a script that lives on code.kepler-project.org (ceres) to do this. It is set to run in a cron job every day at 5am PDT. | will monitor it to make
sure it keeps running.

#3 - 09/15/2009 12:35 PM - David Welker

Excellent. For whatever reason, the cron job on Pantara was not running. Hopefully this works.
#4 - 10/01/2009 07:23 AM - Christopher Brooks

revisions.txt has not been updated since 9/17.

bash-3.2$ svn log ptll/module-info/revision.txt

svn log ptll/module-info/revision.txt

r20713 | welker | 2009-09-17 07:55:40 -0700 (Thu, 17 Sep 2009) | 1 line

[build-system] Checking in changes to ptII...

£20691 | berkley | 2009-09-16 10:58:45 0700 (Wed, 16 Sep 2009) | 1 Line
[build-system] Checking in changes to ptII...

We run the real risk of forking the ptll tree and having a hard time merging.

#5 - 10/29/2009 12:46 PM - Chad Berkley

My cron job has, for some reason, decided not to find ant. I'm working with Nick on figuring this out.

#6 - 10/29/2009 01:33 PM - Chad Berkley

Working again. I'll monitor this to make sure it keeps working.

#7 - 06/07/2010 08:18 AM - Christopher Brooks

ptolemy/revisions.txt is not being automatically updated so I'm reopening this.
From the svn logs, it looks like the last time it was updated by
the build system was 2/04/10.

I'm marking this as P3/Normal because we run the risk of Kepler
using an out of sync version of ptll and thus forking ptll.
#8 - 07/06/2010 06:33 PM - Christopher Brooks

It is important that Kepler developers use the most recent Ptolemy sources

so I'm marking this as targeting Kepler 2.1.0. As of today, 7/6/2010,
kepler/ptolemy/module-info/revision.txt has not been updated since 6/7/2010.
Ptolemy is now at revision 58488, Kepler developers are using 57948. Obviously,
not each revision is a bug fix that is relevant to Kepler.

I'm estimating that it will take 6 hours to get the nightly build to
update ptolemy/module-info/revisions.txt file because it will take
time over several days to keep on top of this.

#9 - 08/18/2010 02:49 PM - Derik Barseghian

| just tried to manually move kepler trunk up to ptolemy head, but | can't compile:

[compile] /Users/derik/dev2/kepler.modules.sensorview/ptolemy/src/ptolemy/data/ontologies/InfiniteConcept.java:50: cannot find symbol
[compile] symbol : constructor Concept(ptolemy.kernel.util.NamedObj,java.lang.String)

[compile] location: class ptolemy.data.ontologies.Concept

[compile] super(finiteConcept.getContainer(), finiteConcept.getName());
[compile] A
[compile]

/Users/derik/dev2/kepler.modules.sensorview/ptolemy/src/ptolemy/data/ontologies/lattice/adapters/monotonicityAnalysis/MonotonicityCounterexample
s.java:97: method does not override a method from its superclass

[compile] @Override
[compile] A
[compile]

/Users/derik/dev2/kepler.modules.sensorview/ptolemy/src/ptolemy/data/ontologies/lattice/adapters/monotonicityAnalysis/MonotonicityCounterexample
s.java:105: method does not override a method from its superclass

[compile] @Override
[compile] A
[compile]

/Users/derik/dev2/kepler.modules.sensorview/ptolemy/src/ptolemy/data/ontologies/lattice/adapters/monotonicityAnalysis/MonotonicityCounterexample
s.java:114: method does not override a method from its superclass

[compile] @Override

[compile] A

r58807 is the most recent version | can compile Kepler with, but on import to eclipse | get 114 errors, to do w/ classes in:
/ptolemy/src/ptolemy/domains/jogl/

This look like because of problems with these missing imports:
import javax.media.opengl.”
com.sun.opengl.*

| see we're already excluding domains/gr in PtolemyClasspathStart. Is domains/jogl something we want to exclude too?

#10 - 08/18/2010 03:37 PM - Christopher Brooks

| think the @override warnings are from using Java 1.5.
Adding jogl to the excludes seems reasonable.
data/ontologies could also be added to the excludes.

#11 - 08/18/2010 03:42 PM - jianwu jianwu
If excluding those from building system, please make sure it's also updated for eclipse building. To update it, just modify the PtolemyClasspathStart
file at build-area/resources/eclipse.

We probably also need to update corresponding files at build-area/resources/netbeans and build-area/resources/idea.

#12 - 08/18/2010 04:30 PM - Derik Barseghian

Trunks now using ptolemy r58807, and | added the jogl exclude for eclipse.
idea's PtolemyModuleStart already excludes domains/jogl and | couldn't find any exclude section for netbeans.

#13 - 01/24/2011 10:25 AM - Sean Riddle

A cron job has been started on lore.genomecenter.ucdavis.edu to run 'ant validate-ptolemy' every midnight. The revision.txt commits should be a few
minutes after, by SVN user 'riddle'. There were some issues with making the ant target send an email when the command fails. Where to place code
that is executed in response to an error at any point along the pipeline (updating modules, compilation, committing revision.ixt, etc.) and taking
uniform action is not clear.

The code to send the email is, however, already written, so if anyone wants to investigate ant and figure out how to process the different types of
errors, they are welcome to.

Since this cron job approach has had problems before, logs are maintained and rotated with logrotate. The logs are located at
/home/sean/ptolemy-validation/ (on lore), and can be viewed by any user in the sudo group (Sean Riddle, Daniel Zinn, Sven Koehler, at the moment).
#14 - 01/24/2011 10:29 AM - Sean Riddle

| also added the same information as above to the Kepler Project wiki: https://kepler-project.org/developers/reference/validate-ptolemy-cron-job

#15 - 03/27/2013 02:26 PM - Redmine Admin
Original Bugzilla ID was 4324
